ubuntu/+source/gutenprint:ubuntu/yakkety-proposed

Last commit made on 2016-09-17
Get this branch:
git clone -b ubuntu/yakkety-proposed https://git.launchpad.net/ubuntu/+source/gutenprint
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/yakkety-proposed
Repository:
lp:ubuntu/+source/gutenprint

Recent commits

46e9add... by Matthias Klose on 2016-09-17

Import patches-unapplied version 5.2.11-1build1 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: fb28092cbce82dfadad34bc7697460e6a6cb5dc4

New changelog entries:
  * No-change rebuild for readline soname change.

fb28092... by Didier Raboud on 2016-02-16

Import patches-unapplied version 5.2.11-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 3fdcd18fdb35af2661ff883a760229389f7273c8

New changelog entries:
  * New 5.2.11 upstream release
  * Update uversionmangle in debian/watch to take -pre* account numbers
  * Bump Standards-Version to 3.9.7 without changes needed

3fdcd18... by Didier Raboud on 2015-10-27

Import patches-unapplied version 5.2.11~pre2-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: b3e42acc76e701737de29c3e2646b3ea1470d130

New changelog entries:
  * New 5.2.11~pre2 upstream release
  * Bump Standards-Version to 3.9.6 without changes needed
  * Drop cups-driver-gutenprint transitional package, that was transitional in
    oldstable
  * Fix 'find' call to use the new '-perm /xxx' syntax (Closes: #803025)

b3e42ac... by Didier Raboud on 2015-08-09

Import patches-unapplied version 5.2.11~pre1-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 3ccbdbb4b8499683f2961c20b7758e20c041aa18

New changelog entries:
  * New 5.2.11~pre1 upstream release
  * In autopkgtest, only test the first printer listed in Gutenprint's
    Supported printers page (Closes: #785648)
  * Add gbp.conf to cope with the new branch names

3ccbdbb... by Didier Raboud on 2014-06-23

Import patches-unapplied version 5.2.10-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 8b288f524a5de276d2c04b1e2cce36799b93e096

New changelog entries:
  * Add autopkgtest suite that tests all drivers using cups-client's
    test-drivers utility
  * On upgrade, remove driver update timestamp in cups' trigger cache to
    ensure all earlier printers are refreshed (Closes: #749600)

8b288f5... by Didier Raboud on 2014-06-01

Import patches-unapplied version 5.2.10-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e9bf0f0d037fde002793d63f224ce226684a366d

New changelog entries:
  * Add Pre-Depends against dpkg-dev for dir_to_symlink support
    (Closes: #749931)

e9bf0f0... by Didier Raboud on 2014-05-28

Import patches-unapplied version 5.2.10-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7fdb9a12d2668c27e38aa69d3b80dc75a9ac2a09

New changelog entries:
  * New 5.2.10 final upstream release
  * Fix drivers listing by re-introduction --libdir as well as the specific
    dh_makeshlibs and dh_shlibdeps calls, unfortunately dropped in the
    packaging cleanup
  * Fix ppd-updater trigger installation
  * Drop the upstream patch to fix the usb backend crash; was from upstream
  * Rework the /doc/ directories symlinks

7fdb9a1... by Didier Raboud on 2014-05-22

Import patches-unapplied version 5.2.10~pre2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7d31cee5a20c7bb77cb34ecd0a0c0f2856136dd3

New changelog entries:
  * Fix printer-driver-gutenprint installation of common files on Linux
    (Closes: #748761)
  * Adopt package from Roger, replace him as Uploader, with many thanks for his
    past work! (Closes: #479397)

7d31cee... by Didier Raboud on 2014-05-15

Import patches-unapplied version 5.2.10~pre2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7f687d56503521f8a2db55bb30fbc41728e81263

New changelog entries:
  * Team upload
  * New upstream release
     o Added a unified CUPS backend to support selected dye sublimation
       printers.
     o Added support for many new Epson and Canon inkjets and for many dye
       sublimation printers. Support for new Canon inkjets mostly experimental.
     o Improved support for many already supported dye sublimation printers.
     o Corrected page dimensions for borderless printing with Canon
       printers.
     o Added duplex support for the EPSON WorkForce 645.
     o Expanded printable area at the bottom of the page for the Epson
       Stylus Pro 3800 and 3880.
     o Added IEEE1284 device IDs for many Epson and Canon inkjets
       (LP: #1248303), monochrome laser printers of all manufacturers, and dye
       sublimation printers of all manufacturers.
     o Added Catalan, Turkish, and Vietnamese translations.
  [ Didier Raboud ]
  * Simplify buildsystem to make use of recent debhelper features
  * Let printer-driver-gutenprint only depend on perl-base through dh_perl -p
  * Only build-depend on libusb-1.0-dev on !hurd-any as it's not available there
  * Add patch to avoid running the insanely long test-rastertogutenprint
    build-test that makes sbuild timeout
  * Build-depend and use dh_autoreconf to make the latest patches useful
  * Drop Section redundancy in printer-driver-gutenprint
  * Correct the lintian warning and the dh_fixperms call around gutenprint52+usb
  * Import a bunch of Ubuntu changes, thanks to Till Kamppeter.
  [ Till Kamppeter ]
  * Replace the printer-driver-gutenprint postinst with a ppd-updater trigger.
    Update the PPD files of all already existing print queues using this driver
    when updating this package. In contrary to Gutenprint's own
    cups-genppdupdate, the script of the cups package can also migrate PPD
    files. In our case we migrate Foomatic/IJS PPD files to the equivalent PPDs
    using the CUPS Raster driver of Gutenprint and we replace simplified PPD
    files by the corresponding standard PPDs, as we discontinue the simplified
    PPDs in Ubuntu to reduce the delta to Debian and to make printer
    model/driver listings in printer setup tools less cluttered.
  * Replaced dependency of printer-driver-gutenprint on ghostscript-cups by
    "cups-filters (>= 1.0.36) | ghostscript-cups (<< 9.08)" as Ghostscript's
    CUPS filters moved to cups-filters from cups-filters 1.0.36/Ghostscript
    9.08 on.
  * Add two configure flags to avoid depending on the CUPS version detection
    code to enable CUPS 1.2 enhancements and disable the CUPS PPD files.
  * Build-depend on libusb-1.0-0-dev for the new CUPS backend for dye
    sublimation printers on USB
  * Install new USB printer blacklist file for the CUPS USB backend (for dye
    sublimation printers using Gutenprint's own backend)
  * Add upstream patch to fix the gutenprint52+usb CUPS backend crashing on
    failure of USB access via libusb (LP: #1297326)
  * Set gutenprint52+usb CUPS backend to 700 permissions so that CUPS runs it
    as root (LP: #1297326)
  * Build, install and fix the permissions of the usb backend only on
    linux-any as kfreebsd's libusb doesn't have the matching API yet

7f687d5... by Didier Raboud on 2014-04-15

Import patches-unapplied version 5.2.9-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2b84ad8fed1a3eb67abcb5c39a7fb7be3e647a50

New changelog entries:
  * Team upload
  [ Didier Raboud ]
  * Move the repository from collab-maint to printing; update the VCS-* fields
    accordingly
  * Bump Standards-Version to 3.9.5 without changes needed
  * Add the non-minified jquery 1.7.1 source to debian/missing-sources
  * Let {lib,}gutenprint-doc depend on libjs-jquery and symlink the jquery.js
    to the packaged version
  * Add homepage URL
  * Stop installing .po files in gutenprint-locales (Closes: #650758)
  [ Bart Martens ]
  * Add debian/watch